Bug 461531 - Broken help links
Broken help links
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Network Quality Assurance
us=46583
:
Depends On:
Blocks: 460350
  Show dependency treegraph
 
Reported: 2008-09-08 17:17 EDT by Stephen Herr
Modified: 2008-10-17 08:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 08:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2008-09-08 17:17:19 EDT
Description of problem:
Some of the links to help documentation are broken.

Version-Release number of selected component (if applicable):
5.0.7

How reproducible:
Always

Steps to Reproduce:
1. Navigate to these pages:

/rhn/errata/manage/PublishedErrata.do
/rhn/errata/manage/UnpublishedErrata.do
/network/software/channels/manage/index.pxt
/network/software/packages/manage/index.pxt

2. Click on the help icon next to the page title
  
Actual results:
404
These pages are all pointing to help documentation that was removed in bug 455628.

Expected results:
The channels pages help links should point to 
/rhn/help/reference/rhn500/en/s1-sm-channels-packages.jsp

The other errata help links all point to 
/rhn/help/reference/rhn500/en/s1-sm-errata.jsp
Unfortunately that page doesn't contain any help for these pages. We should either add to the documentation or remove the help links.
Comment 1 Grant Gainey 2008-09-16 15:10:04 EDT
Found the following Struts-actions are all affected:

https://rhn.redhat.com/rhn/errata/manage/AddChannelPackagePush.do
https://rhn.redhat.com/rhn/errata/manage/AddPackagePackagePush.do
https://rhn.redhat.com/rhn/errata/manage/AddPackages.do
https://rhn.redhat.com/rhn/errata/manage/AddPackagesConfirm.do
https://rhn.redhat.com/rhn/errata/manage/Channels.do
https://rhn.redhat.com/rhn/errata/manage/CloneErrata.do
https://rhn.redhat.com/rhn/errata/manage/Create.do
https://rhn.redhat.com/rhn/errata/manage/Delete.do
https://rhn.redhat.com/rhn/errata/manage/ListPackages.do
https://rhn.redhat.com/rhn/errata/manage/Notify.do
https://rhn.redhat.com/rhn/errata/manage/PackagePush.do
https://rhn.redhat.com/rhn/errata/manage/Packages.do
https://rhn.redhat.com/rhn/errata/manage/PublishedErrata.do
https://rhn.redhat.com/rhn/errata/manage/RemovePackages.do
https://rhn.redhat.com/rhn/errata/manage/SelectChannels.do
https://rhn.redhat.com/rhn/errata/manage/UnpublishedErrata.do

Regarding Perl:  The .pxt pages build the help URLs inside of HTML.pm.  The code assumes that all one needs to specify is the guide-name as help-guide, and the HREF as help-href.  This does not, alas, work any more.

Regarding test plan:

1) Choose "Errata" in main (top. red) nav-bar
2) Choose "Manage Errata" from left-nav

This gives access to published/unpublished errata.

For further testing, one needs to have created an errata first - then a lot of the affected pages/tabs become available.
Comment 2 Grant Gainey 2008-09-16 15:18:06 EDT
Further testing notes:

The creation of help-URLs for Perl pages was affected by the note above.  Run through randomly-chosen .pxts, and make sure that the help links still work.

SDC and SSM are good places to look for remaining .pxts.

Checked in as SVN r119060, 119061.
Comment 4 Grant Gainey 2008-09-17 13:19:24 EDT
svn -r119066
Comment 5 Amy Owens 2008-09-17 13:52:50 EDT
all set now on dev
Comment 6 Amy Owens 2008-10-01 11:19:12 EDT
verified in qa

Note You need to log in before you can comment on or make changes to this bug.